scales script issues



  • i am fallowing the guide getting started when i try to run the script i get "an error accured wile installing, halting. this is a clean install of ubuntu 14.04 on my own server. need a little help with this

    sudo bash -c 'source <(curl -sSLk http://192.168.1.222/auth/remote/deploy/442a3dae-8e9d-4e09-b53e-51c41866df4a)'
    System detected as some variant of Ubuntu or Debian.
    Installing some dependiencies.
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    python is already the newest version.
    tar is already the newest version.
    curl is already the newest version.
    git is already the newest version.
    openssl is already the newest version.
    The following extra packages will be installed:
      acl at-spi2-core binutils ca-certificates-java colord cpp cpp-4.8 dbus-x11
      dconf-gsettings-backend dconf-service desktop-file-utils fontconfig
      fonts-dejavu-extra g++-4.8 gcc-4.8 gconf-service gconf-service-backend
      gconf2 gconf2-common gdisk gvfs gvfs-common gvfs-daemons gvfs-libs
      hicolor-icon-theme java-common libasan0 libasound2 libasound2-data
      libasyncns0 libatasmart4 libatk-bridge2.0-0 libatk-wrapper-java
      libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data libatomic1 libatspi2.0-0
      libavahi-client3 libavahi-common-data libavahi-common3 libavahi-glib1
      libbonobo2-0 libbonobo2-common libc-ares2 libc-dev-bin libc6-dev libc6-i386
      libcairo-gobject2 libcairo2 libcanberra0 libcloog-isl4 libcolord1
      libcolorhug1 libcups2 libdatrie1 libdconf1 libdrm-intel1 libdrm-nouveau2
      libdrm-radeon1 libexif12 libflac8 libfontenc1 libgcc-4.8-dev libgconf-2-4
      libgconf2-4 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgif4
      libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgmp10 libgnome2-0
      libgnome2-bin libgnome2-common libgnomevfs2-0 libgnomevfs2-common libgomp1
      libgphoto2-6 libgphoto2-l10n libgphoto2-port10 libgraphite2-3 libgtk-3-0
      libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
      libgudev-1.0-0 libgusb2 libharfbuzz0b libice-dev libice6 libicu52
      libidl-common libidl0 libieee1284-3 libisl10 libitm1 libjasper1 liblcms2-2
      libllvm3.4 libltdl7 libmpc3 libmpfr4 libnspr4 libnss3 libnss3-nssdb libogg0
      liborbit-2-0 liborbit2 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
      libpciaccess0 libpixman-1-0 libpthread-stubs0-dev libpulse0 libquadmath0
      libsane libsane-common libsctp1 libsecret-1-0 libsecret-common libsm-dev
      libsm6 libsndfile1 libstdc++-4.8-dev libtdb1 libthai-data libthai0 libtsan0
      libtxc-dxtn-s2tc0 libudisks2-0 libv4l-0 libv4lconvert0 libv8-3.14.5
      libvorbis0a libvorbisenc2 libvorbisfile3 libwayland-client0
      libwayland-cursor0 libx11-dev libx11-doc libx11-xcb1 libxau-dev libxaw7
      libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-render0
      libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb1-dev libxcomposite1
      libxcursor1 libxdamage1 libxdmcp-dev libxfixes3 libxft2 libxi6 libxinerama1
      libxkbcommon0 libxmu6 libxrandr2 libxrender1 libxshmfence1 libxt-dev libxt6
      libxtst6 libxv1 libxxf86dga1 libxxf86vm1 linux-libc-dev lksctp-tools
      manpages-dev openjdk-7-jre openjdk-7-jre-headless policykit-1-gnome
      sound-theme-freedesktop tzdata-java udisks2 x11-common x11-utils
      x11proto-core-dev x11proto-input-dev x11proto-kb-dev xorg-sgml-doctools
      xtrans-dev
    Suggested packages:
      binutils-doc cpp-doc gcc-4.8-locales g++-multilib g++-4.8-multilib
      gcc-4.8-doc libstdc++6-4.8-dbg gcc-multilib autoconf automake1.9 libtool
      flex bison gdb gcc-doc gcc-4.8-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg
      libatomic1-dbg libasan0-dbg libtsan0-dbg libquadmath0-dbg
      gconf-defaults-service gvfs-backends gvfs-backends-goa default-jre equivs
      libasound2-plugins alsa-utils libbonobo2-bin glibc-doc libcanberra-gtk0
      libcanberra-pulse cups-common libglide3 desktop-base libgnomevfs2-bin
      libgnomevfs2-extra gamin fam gnome-mime-data gphoto2 gtkam librsvg2-common
      libice-doc libjasper-runtime liblcms2-utils ttf-baekmuk ttf-arphic-gbsn00lp
      ttf-arphic-bsmi00lp ttf-arphic-gkai00mp ttf-arphic-bkai00mp pulseaudio
      avahi-daemon hplip hpoj libsane-extras sane-utils libsm-doc
      libstdc++-4.8-doc libxcb-doc libxt-doc make-doc openjdk-7-demo
      openjdk-7-source visualvm icedtea-7-plugin icedtea-7-jre-jamvm libnss-mdns
      sun-java6-fonts fonts-ipafont-gothic fonts-ipafont-mincho ttf-wqy-microhei
      ttf-wqy-zenhei ttf-indic-fonts-core ttf-telugu-fonts ttf-oriya-fonts
      ttf-kannada-fonts ttf-bengali-fonts xfsprogs reiserfsprogs exfat-utils
      btrfs-tools mdadm cryptsetup-bin mesa-utils
    The following NEW packages will be installed:
      acl at-spi2-core binutils ca-certificates-java colord cpp cpp-4.8 dbus-x11
      dconf-gsettings-backend dconf-service desktop-file-utils fontconfig
      fonts-dejavu-extra g++ g++-4.8 gcc gcc-4.8 gconf-service
      gconf-service-backend gconf2 gconf2-common gdisk gvfs gvfs-common
      gvfs-daemons gvfs-libs hicolor-icon-theme java-common lib32gcc1 lib32stdc++6
      lib32tinfo5 lib32z1 libasan0 libasound2 libasound2-data libasyncns0
      libatasmart4 libatk-bridge2.0-0 libatk-wrapper-java libatk-wrapper-java-jni
      libatk1.0-0 libatk1.0-data libatomic1 libatspi2.0-0 libavahi-client3
      libavahi-common-data libavahi-common3 libavahi-glib1 libbonobo2-0
      libbonobo2-common libc-ares2 libc-dev-bin libc6-dev libc6-i386
      libcairo-gobject2 libcairo2 libcanberra0 libcloog-isl4 libcolord1
      libcolorhug1 libcups2 libdatrie1 libdconf1 libdrm-intel1 libdrm-nouveau2
      libdrm-radeon1 libexif12 libflac8 libfontenc1 libgcc-4.8-dev libgconf-2-4
      libgconf2-4 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgif4
      libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgmp10 libgnome2-0
      libgnome2-bin libgnome2-common libgnomevfs2-0 libgnomevfs2-common libgomp1
      libgphoto2-6 libgphoto2-l10n libgphoto2-port10 libgraphite2-3 libgtk-3-0
      libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
      libgudev-1.0-0 libgusb2 libharfbuzz0b libice-dev libice6 libicu52
      libidl-common libidl0 libieee1284-3 libisl10 libitm1 libjasper1 liblcms2-2
      libllvm3.4 libltdl7 libmpc3 libmpfr4 libnspr4 libnss3 libnss3-nssdb libogg0
      liborbit-2-0 liborbit2 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
      libpciaccess0 libpixman-1-0 libpthread-stubs0-dev libpulse0 libquadmath0
      libsane libsane-common libsctp1 libsecret-1-0 libsecret-common libsm-dev
      libsm6 libsndfile1 libstdc++-4.8-dev libtdb1 libthai-data libthai0 libtsan0
      libtxc-dxtn-s2tc0 libudisks2-0 libv4l-0 libv4lconvert0 libv8-3.14.5
      libvorbis0a libvorbisenc2 libvorbisfile3 libwayland-client0
      libwayland-cursor0 libx11-dev libx11-doc libx11-xcb1 libxau-dev libxaw7
      libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-render0
      libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb1-dev libxcomposite1
      libxcursor1 libxdamage1 libxdmcp-dev libxfixes3 libxft2 libxi6 libxinerama1
      libxkbcommon0 libxmu6 libxrandr2 libxrender1 libxshmfence1 libxt-dev libxt6
      libxtst6 libxv1 libxxf86dga1 libxxf86vm1 linux-libc-dev lksctp-tools make
      manpages-dev nodejs openjdk-7-jdk openjdk-7-jre openjdk-7-jre-headless
      policykit-1-gnome sound-theme-freedesktop tzdata-java udisks2 x11-common
      x11-utils x11proto-core-dev x11proto-input-dev x11proto-kb-dev
      xorg-sgml-doctools xtrans-dev
    0 upgraded, 201 newly installed, 0 to remove and 5 not upgraded.
    Need to get 139 MB of archives.
    After this operation, 399 MB of additional disk space will be used.
    WARNING: The following packages cannot be authenticated!
      libasan0 libgtk2.0-common libpixman-1-0 libxrender1 libcairo2 libcups2
      libjasper1 libgdk-pixbuf2.0-common libgdk-pixbuf2.0-0 fontconfig
      libpango-1.0-0 libgraphite2-3 libharfbuzz0b libpangoft2-1.0-0
      libpangocairo-1.0-0 libxfixes3 libxi6 libgtk2.0-0 libnspr4 libnss3-nssdb
      libnss3 tzdata-java liblcms2-2 libflac8 libsndfile1 libpulse0
      openjdk-7-jre-headless x11-common libglapi-mesa libgl1-mesa-glx
      openjdk-7-jre libatomic1 cpp-4.8 libcairo-gobject2 libtdb1 libdrm-intel1
      libdrm-nouveau2 libdrm-radeon1 libgl1-mesa-dri dbus-x11 libgomp1
      libgphoto2-port10 libgphoto2-6 libgtk-3-common libgtk-3-0 libgudev-1.0-0
      libicu52 libitm1 libquadmath0 libsane-common libsane libtsan0 libudisks2-0
      binutils libgcc-4.8-dev gcc-4.8 libc-dev-bin linux-libc-dev libc6-dev
      libstdc++-4.8-dev g++-4.8 udisks2 gvfs-common gvfs-libs gvfs-daemons gvfs
      libc6-i386 libgphoto2-l10n libgtk-3-bin libgtk2.0-bin x11proto-core-dev
      xtrans-dev openjdk-7-jdk gdisk lib32gcc1 lib32stdc++6
    E: There are problems and -y was used without --force-yes
    An error occured while installing, halting...
    
    


  • if possible try doing a clean reset and try doing the install again. if you still have a problem you may want to update the apt repositories.

    another thing may be that make sure 192.168.1.222 is the ip where pufferpanel is installed and has a properly configured network settings.



  • ok got it just had to un comment some of the repositories that seem to fix the issue



  • ok thats great


Log in to reply
 

Looks like your connection to PufferPanel Community was lost, please wait while we try to reconnect.